gtksourceviewmm: gtksourceview::SourceCompletionWords Class Reference

gtksourceviewmm 2.10.2

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions
gtksourceview::SourceCompletionWords Class Reference

Words completion provider. More...

`#include <gtksourceviewmm/sourcecompletionwords.h>`

Inheritance diagram for gtksourceview::SourceCompletionWords:
[legend]

List of all members.

## Public Member Functions
GtkSourceCompletionWords* | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceCompletionWords* | gobj () const
| Provides access to the underlying C GObject.
GtkSourceCompletionWords* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | register_provider (const Glib::RefPtr< Gtk::TextBuffer >& buffer)
| Registers this provider in given buffer.
void | unregister_provider (const Glib::RefPtr< Gtk::TextBuffer >& buffer)
| Unregisters this provider from given buffer.
Glib::PropertyProxy < Glib::ustring > | property_name ()
| The provider name.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_name () const
| The provider name.
Glib::PropertyProxy < Glib::RefPtr< Gdk::Pixbuf > > | property_icon ()
| The provider icon.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gdk::Pixbuf > > | property_icon () const
| The provider icon.
Glib::PropertyProxy< guint > | property_proposals_batch_size ()
| Number of proposals added in one batch.
Glib::PropertyProxy_ReadOnly < guint > | property_proposals_batch_size () const
| Number of proposals added in one batch.
Glib::PropertyProxy< guint > | property_scan_batch_size ()
| Number of lines scanned in one batch.
Glib::PropertyProxy_ReadOnly < guint > | property_scan_batch_size () const
| Number of lines scanned in one batch.
Glib::PropertyProxy< guint > | property_minimum_word_size ()
| The minimum word size to complete.
Glib::PropertyProxy_ReadOnly < guint > | property_minimum_word_size () const
| The minimum word size to complete.
Glib::PropertyProxy< int > | property_interactive_delay ()
| The delay before initiating interactive completion.
Glib::PropertyProxy_ReadOnly< int > | property_interactive_delay () const
| The delay before initiating interactive completion.
Glib::PropertyProxy< int > | property_priority ()
| Provider priority.
Glib::PropertyProxy_ReadOnly< int > | property_priority () const
| Provider priority.
## Static Public Member Functions
static Glib::RefPtr < SourceCompletionWords > | create (const Glib::ustring& name, const Glib::RefPtr< Gdk::Pixbuf >& icon)
| Creates words provider with given name and icon.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < gtksourceview::SourceCompletionWords > | wrap (GtkSourceCompletionWords* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Words completion provider.

Since gtksourceviewmm 2.10:

## Member Function Documentation

static Glib::RefPtr<SourceCompletionWords> gtksourceview::SourceCompletionWords::create | ( | const Glib::ustring & | name,
|  | const Glib::RefPtr< Gdk::Pixbuf > & | icon
| ) |  | `[static]`

Creates words provider with given name and icon.

Parameters:

  name | Provider's name
  icon | Provider's icon

Since gtksourceviewmm 2.10:

Glib::PropertyProxy< Glib::RefPtr<Gdk::Pixbuf> > gtksourceview::SourceCompletionWords::property_icon | ( |  | ) |

The provider icon.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gdk::Pixbuf> > gtksourceview::SourceCompletionWords::property_icon | ( |  | ) | const

The provider icon.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> gtksourceview::SourceCompletionWords::property_interactive_delay | ( |  | ) |

The delay before initiating interactive completion.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> gtksourceview::SourceCompletionWords::property_interactive_delay | ( |  | ) | const

The delay before initiating interactive completion.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> gtksourceview::SourceCompletionWords::property_minimum_word_size | ( |  | ) | const

The minimum word size to complete.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> gtksourceview::SourceCompletionWords::property_minimum_word_size | ( |  | ) |

The minimum word size to complete.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> gtksourceview::SourceCompletionWords::property_name | ( |  | ) | const

The provider name.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> gtksourceview::SourceCompletionWords::property_name | ( |  | ) |

The provider name.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> gtksourceview::SourceCompletionWords::property_priority | ( |  | ) |

Provider priority.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> gtksourceview::SourceCompletionWords::property_priority | ( |  | ) | const

Provider priority.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> gtksourceview::SourceCompletionWords::property_proposals_batch_size | ( |  | ) |

Number of proposals added in one batch.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> gtksourceview::SourceCompletionWords::property_proposals_batch_size | ( |  | ) | const

Number of proposals added in one batch.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> gtksourceview::SourceCompletionWords::property_scan_batch_size | ( |  | ) | const

Number of lines scanned in one batch.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> gtksourceview::SourceCompletionWords::property_scan_batch_size | ( |  | ) |

Number of lines scanned in one batch.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void gtksourceview::SourceCompletionWords::register_provider | ( | const Glib::RefPtr< Gtk::TextBuffer > & | buffer | ) |

Registers this provider in given buffer.

Parameters:

  buffer | A buffer which will use this provider.

Since gtksourceviewmm 2.10:

void gtksourceview::SourceCompletionWords::unregister_provider | ( | const Glib::RefPtr< Gtk::TextBuffer > & | buffer | ) |

Unregisters this provider from given buffer.

Parameters:

  buffer | A buffer which will not use this provider anymore.

Since gtksourceviewmm 2.10:

## Friends And Related Function Documentation

Glib::RefPtr< gtksourceview::SourceCompletionWords > wrap | ( | GtkSourceCompletionWords * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.